SIGPENDING(2)

NAME
sigpending - get pending signals

LIBRARY
libc

SYNOPSIS
#include <signal.h>
int
sigpending(sigset_t *set);

DESCRIPTION
The sigpending() system call returns a mask of the signals pending for delivery to the calling process in the location indicated by set. Signals may be pending because they are currently masked, or transiently before delivery (although the latter case is not normally detectable).

RETURN VALUES

ERRORS
The sigpending() system call will fail if:

[EFAULT]
    The set argument specified an invalid address.

SEE ALSO
sigaction(2), sigprocmask(2), sigsuspend(2), sigsetops(3)

STANDARDS
The sigpending() system call is expected to conform to p1003.1-90.